import { expect } from 'chai';
import path from 'path';

import Config from '../sources/config';

describe('Config', () => {

  it('get the version', () => {
    expect(Config.VERSION).to.eq('0.0.1');
  })

  it('get the library name', () => {
    expect(Config.LIBRARY_NAME).to.eq('liveqa');
  })

  it('get the language', () => {
    expect(Config.LANGUAGE).to.eq('javascript');
  })

  it('set/get the snippet version', () => {
    Config.SNIPPET_VERSION = '1.0.0'
    expect(Config.SNIPPET_VERSION).to.eq('1.0.0');
  })

  it('set/get the api key', () => {
    Config.API_KEY = 'xx42xx'
    expect(Config.API_KEY).to.eq('xx42xx');
  })

})
