import Chai, { expect } from 'chai';
import sinon from 'sinon';
import sinonChai from 'sinon-chai';
import path from 'path';

import Config from '../sources/config';
import ApiResource from '../sources/api_resource';
import Event from '../sources/event';
import LiveQA from '../sources/index';

Chai.use(sinonChai);

describe('LiveQA', () => {

  beforeEach(() => {
    sinon.stub(ApiResource, '_send')
    Config.API_KEY = 'xxx'
    Config.SNIPPET_VERSION = '1.0.0'
  })

  afterEach(() => {
    ApiResource._send.restore()
  })

  it('call Event track', () => {
    let spy = sinon.stub(Event, 'create');

    LiveQA.track('Pay button', { user_id: 42 }, { title: 'Intro to Analytics' })

    expect(spy).to.have.been.calledOnce.calledWith(LiveQA, 'Pay button', { type: 'track', user_id: 42 }, { title: 'Intro to Analytics' })
  })

})
